#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfaf67b6f, "pin_user_pages_fast" },
	{ 0x9a47f82a, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa637feaf, "pci_cfg_access_unlock" },
	{ 0x4a6e299c, "unpin_user_pages_dirty_lock" },
	{ 0x3ae3f9d5, "pci_request_selected_regions" },
	{ 0x505ccecd, "pci_release_selected_regions" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x2b2ce9ed, "pci_enable_device_mem" },
	{ 0xbf214009, "pci_iomap" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xb0990ad7, "pci_alloc_irq_vectors" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xcf964a07, "kill_fasync" },
	{ 0xf8397e74, "dma_unmap_page_attrs" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x90721b71, "__pci_register_driver" },
	{ 0xeb6e18b, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x2c80100e, "pci_sriov_get_totalvfs" },
	{ 0x2ce51239, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x39a017a4, "__dynamic_dev_dbg" },
	{ 0xb6955cd5, "pci_unregister_driver" },
	{ 0xd65a1aaa, "pci_cfg_access_lock" },
	{ 0xd97fc4a2, "wake_up_process" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xf3e5c011, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa2512c2, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf5462fec, "pci_set_pcie_reset_state" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x92a33f13, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2d3b1456, "pci_select_bars" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xed792874, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0x8d48b263, "cdev_add" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1ef23ca0, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3e5416b9, "kill_pid" },
	{ 0x830e2e28, "dma_alloc_attrs" },
	{ 0x8f0e30e, "debugfs_remove" },
	{ 0x7f38da87, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x36c5995f, "class_unregister" },
	{ 0x5b0bfb54, "kthread_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x8615d499, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x81ac443a, "pci_restore_state" },
	{ 0x2603a546, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd336126d, "pci_set_master" },
	{ 0xe0b3f1c2, "debugfs_create_u32" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x4f33539e, "pci_reset_function" },
	{ 0x2744c29c, "kthread_create_on_node" },
	{ 0x1d3dc43b, "dma_set_coherent_mask" },
	{ 0x34f6cf33, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x87bf0e00, "device_create_with_groups" },
	{ 0x3fe305cf, "debugfs_create_file" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xa53bea28, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x2cd3727e, "seq_write" },
	{ 0x5bbea52e, "device_destroy" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xce30d5c3, "seq_printf" },
	{ 0x8cfb0c60, "pci_disable_sriov" },
	{ 0xa954c94, "pci_disable_device" },
	{ 0x8ccdc0fb, "single_release" },
	{ 0xd8ccc2fa, "dma_set_mask" },
	{ 0xdf59602c, "crc_itu_t" },
	{ 0xe7af0e24, "single_open" },
	{ 0xc9d6fa0b, "debugfs_create_dir" },
	{ 0xa76cef3c, "pci_free_irq_vectors" },
	{ 0x7bdf9fc7, "pci_enable_sriov" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x7805a563, "put_pid" },
	{ 0xa3a7ce50, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec108254, "cdev_init" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0x72fc01ad, "cdev_del" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000044Bbc12sc00i00*");

MODULE_INFO(srcversion, "71A5414DA5A4D7A80A993D8");
MODULE_INFO(rhelversion, "10.0");
