#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x7ea122cc, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0xc1fb261b, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x9bb39b8e, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0xb6ba0780, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x209d42c3, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x58179512, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xc9621279, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0xc535c718, "_gpl");
SYMBOL_CRC(qeth_xmit, 0x07fac723, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0xbeb23c7e, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0x87babf86, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x90973daf, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0x32881b58, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0xb26999ff, "_gpl");
SYMBOL_CRC(qeth_poll, 0xe3380de6, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x24871869, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0xd85c066f, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x62a6f048, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x55aef74e, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x05473f8b, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0xcf63fc7b, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0xc639d384, "_gpl");
SYMBOL_CRC(qeth_set_features, 0x99286d04, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x64205ed2, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x1c32f238, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x588ed385, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0xf68f0bd0, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x9f7fb96a, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0x532edbc0, "_gpl");
SYMBOL_CRC(qeth_open, 0xfc1057f8, "_gpl");
SYMBOL_CRC(qeth_stop, 0xc9d1fcf6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef392605, "ccw_device_get_cssid" },
	{ 0x899dcb4d, "napi_alloc_skb" },
	{ 0xe795ca8, "alloc_etherdev_mqs" },
	{ 0x389a92af, "ccw_device_halt" },
	{ 0xd794a7f1, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x93fcabe4, "qdio_shutdown" },
	{ 0xd6ffcff7, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf8c9b1f4, "ccwgroup_set_offline" },
	{ 0x4645219e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xafbac02, "ccw_device_get_chid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc3bed58b, "skb_copy_bits" },
	{ 0x32adbc43, "qdio_allocate" },
	{ 0x1399cdac, "qdio_inspect_output_queue" },
	{ 0x9bc51d5d, "skb_put" },
	{ 0xd8004762, "skb_tstamp_tx" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x49eac7f1, "netdev_update_features" },
	{ 0x29ea04f5, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x9cdc5dac, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xd7b37f8f, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xe64f69d2, "debug_set_level" },
	{ 0x23387142, "register_service_level" },
	{ 0x9d8dd575, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa6e0b68f, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x2ce51239, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xea7abe98, "qdio_add_bufs_to_output_queue" },
	{ 0x6a5ad023, "__netif_napi_del" },
	{ 0xf19696c1, "kmem_cache_create" },
	{ 0x2a3d4ed, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0x29469d7d, "ether_setup" },
	{ 0x9d99a73a, "qdio_get_ssqd_desc" },
	{ 0xfa208163, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x83c9f1d8, "pskb_expand_head" },
	{ 0xd97fc4a2, "wake_up_process" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x1113e8c8, "dev_addr_mod" },
	{ 0xfc1b7ef9, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x3a751004, "napi_complete_done" },
	{ 0xf5292a2, "alloc_netdev_mqs" },
	{ 0x4dd79cb5, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x1c0bf1ca, "unregister_service_level" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xcfc8663e, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe15c74fb, "put_device" },
	{ 0xcd7cc3b1, "__napi_schedule" },
	{ 0x7f66fc2e, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5424ffaa, "netif_device_detach" },
	{ 0xc0a5616f, "__free_pages" },
	{ 0x92a33f13, "_dev_info" },
	{ 0x508a687f, "napi_gro_receive" },
	{ 0x91809397, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x81e9bec1, "ccwgroup_probe_ccwdev" },
	{ 0xdb80280, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x1ef23ca0, "_dev_err" },
	{ 0xa9551f7d, "softnet_data" },
	{ 0x60c7581d, "ccw_device_get_id" },
	{ 0x8b525c5, "__root_device_register" },
	{ 0xa16c64f3, "ccw_device_get_ciw" },
	{ 0x7241757d, "netif_set_real_num_tx_queues" },
	{ 0xd4c9b550, "sk_skb_reason_drop" },
	{ 0xceaddfdd, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x9cc97111, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x33970f1, "skb_push" },
	{ 0x14d5b394, "kmem_cache_free" },
	{ 0x8b39adcb, "ccwgroup_driver_register" },
	{ 0x8f0e30e, "debugfs_remove" },
	{ 0x1d7e471b, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6948cbb4, "free_netdev" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e45800, "__debug_sprintf_event" },
	{ 0xd55c446a, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x7d0c9abb, "netif_tx_stop_all_queues" },
	{ 0x59342c90, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xd07b37cb, "ccw_device_set_offline" },
	{ 0x2603a546, "_dev_warn" },
	{ 0xa6f1fe3b, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9fe3551f, "netif_schedule_queue" },
	{ 0xfe3cdf1, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xa99620b2, "kmem_cache_alloc_noprof" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x8f96c247, "netdev_set_tc_queue" },
	{ 0x302d6b23, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x5447a581, "__pskb_pull_tail" },
	{ 0xe34f5006, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0x2744c29c, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2132176, "debug_hex_ascii_view" },
	{ 0xa6cce4d4, "debug_unregister" },
	{ 0x34f6cf33, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0x2ecbfb20, "ccwgroup_driver_unregister" },
	{ 0x61e195a6, "ccwgroup_remove_ccwdev" },
	{ 0x3fe305cf, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x34eacbfd, "ccw_device_get_iid" },
	{ 0x1f627fd3, "debug_event_common" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6620da64, "netif_carrier_off" },
	{ 0xce30d5c3, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf521d5b3, "ccw_device_set_online" },
	{ 0xad7cfe8e, "netdev_set_num_tc" },
	{ 0x7ee2fc90, "kobject_uevent" },
	{ 0x3039df8e, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8ccdc0fb, "single_release" },
	{ 0x889432d1, "qdio_add_bufs_to_input_queue" },
	{ 0xc60567db, "skb_add_rx_frag_netmem" },
	{ 0x852469de, "__napi_schedule_irqoff" },
	{ 0x8396903a, "napi_schedule_prep" },
	{ 0x4a11a857, "napi_consume_skb" },
	{ 0x88d42863, "debug_sprintf_view" },
	{ 0xfd7b0405, "qdio_stop_irq" },
	{ 0x3406f32a, "napi_disable" },
	{ 0x7c8a958d, "qdio_free" },
	{ 0xe7af0e24, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xc9d6fa0b, "debugfs_create_dir" },
	{ 0xe7761b63, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0x4ee2e129, "ccw_driver_unregister" },
	{ 0xac8d715f, "skb_clone_tx_timestamp" },
	{ 0x405e3fd8, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x284c1df0, "ethtool_op_get_ts_info" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf33d1a28, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "3B7DDCE882ADA72FA06FE30");
MODULE_INFO(rhelversion, "10.0");
