#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x135d198e, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x45967779, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x3d47ca4f, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x41628e2f, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xe08ddc23, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xa5234820, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7152681b, "nf_ct_ext_add" },
	{ 0xe17dcb46, "nsh_pop" },
	{ 0x7129c325, "nf_conntrack_find_get" },
	{ 0xd1746fc2, "nf_ct_set_timeout" },
	{ 0x41f34477, "dev_get_stats" },
	{ 0xccda7c5, "__nla_put" },
	{ 0xcde0a899, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5ef658e, "dev_fill_metadata_dst" },
	{ 0xcc22e847, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc3bed58b, "skb_copy_bits" },
	{ 0xe219dfcc, "nf_ct_handle_fragments" },
	{ 0x62e61546, "eth_mac_addr" },
	{ 0x9bc51d5d, "skb_put" },
	{ 0x38a0d757, "genl_notify" },
	{ 0x277fffe3, "nsh_push" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x29ea04f5, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xda26318a, "nf_ct_nat" },
	{ 0xd35a251a, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x75a92a4b, "skb_eth_pop" },
	{ 0x643532a, "trace_raw_output_prep" },
	{ 0x69682a3, "skb_gso_validate_mac_len" },
	{ 0x7de35718, "nla_put_64bit" },
	{ 0x3ef1bb7b, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x2b24f640, "nf_ct_helper" },
	{ 0xdb6e446b, "__trace_trigger_soft_disabled" },
	{ 0x9c33c69a, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xb4cfec0, "trace_event_printf" },
	{ 0x6060daab, "rtnl_delete_link" },
	{ 0x56b7f4c6, "rtnl_link_register" },
	{ 0x248bc937, "nf_connlabels_put" },
	{ 0xf347d1a2, "genlmsg_put" },
	{ 0x62bf7d3, "___pskb_trim" },
	{ 0x9e88eb76, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8ca93613, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x3512cfb6, "dev_set_promiscuity" },
	{ 0x8e6f27e7, "nf_ct_destroy_timeout" },
	{ 0xc6bd75a5, "nf_ct_add_helper" },
	{ 0x4fb9ff67, "nf_conntrack_helper_put" },
	{ 0x254cc19a, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc8a89ecd, "nf_ct_skb_network_trim" },
	{ 0x440dcbab, "unregister_netdevice_queue" },
	{ 0xf19696c1, "kmem_cache_create" },
	{ 0xf27274b9, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x29469d7d, "ether_setup" },
	{ 0x74f2c72b, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x83c9f1d8, "pskb_expand_head" },
	{ 0x22e46729, "skb_csum_hwoffload_help" },
	{ 0x4d7cddf7, "trace_event_buffer_commit" },
	{ 0x1113e8c8, "dev_addr_mod" },
	{ 0xe79ccc22, "nf_connlabels_replace" },
	{ 0xfc1b7ef9, "eth_type_trans" },
	{ 0xf5292a2, "alloc_netdev_mqs" },
	{ 0x2c68b392, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x274fa890, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xf198fe61, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x18f1dfcb, "skb_eth_push" },
	{ 0x4b61a26, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe8ba2b7f, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x906a2f57, "skb_mpls_pop" },
	{ 0xc79871b, "skb_vlan_pop" },
	{ 0xe07f90d7, "dst_init" },
	{ 0xb09ef5af, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0x94e708c0, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x37e92712, "rtnl_link_unregister" },
	{ 0x4a2a989, "perf_trace_run_bpf_submit" },
	{ 0x934f0377, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x99efef8d, "ipv6_stub" },
	{ 0x29bbdc2a, "skb_mpls_update_lse" },
	{ 0x1b2b4960, "skb_pull" },
	{ 0xad9b089b, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xd4c9b550, "sk_skb_reason_drop" },
	{ 0x8f2f603f, "netlink_unicast" },
	{ 0xac5643b0, "bpf_trace_run5" },
	{ 0xcdfc1a21, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x33970f1, "skb_push" },
	{ 0x14d5b394, "kmem_cache_free" },
	{ 0x6d07c2b, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9ed8e073, "nla_put" },
	{ 0x243a9cbe, "trace_event_reg" },
	{ 0x9cf2d31c, "skb_ensure_writable" },
	{ 0x6948cbb4, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x979ff540, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd9ed1b39, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd55c446a, "ethtool_op_get_link" },
	{ 0x607f551b, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xc9ee21e1, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa99620b2, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5447a581, "__pskb_pull_tail" },
	{ 0xc506e9ac, "nf_ct_delete" },
	{ 0x6837649e, "nf_conncount_init" },
	{ 0x8c7a1a19, "skb_vlan_push" },
	{ 0x1da61b5e, "netif_rx" },
	{ 0xe34f5006, "__netdev_alloc_skb" },
	{ 0xf747f471, "netdev_master_upper_dev_link" },
	{ 0x8b1ac79c, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0xe859c46f, "inet_proto_csum_replace16" },
	{ 0xc899df1f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x1f9366c7, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x53302a3, "nf_ct_deliver_cached_events" },
	{ 0x533ecb20, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xade008b, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xff4f3cd5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xba4124e, "trace_event_buffer_reserve" },
	{ 0x57b46957, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf212d4f3, "inet_proto_csum_replace4" },
	{ 0xda26a8b9, "nf_conncount_destroy" },
	{ 0x21ffa869, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xf552a395, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x19137e5, "dev_get_by_name" },
	{ 0xfb046587, "skb_clone" },
	{ 0x6c47eeff, "metadata_dst_alloc" },
	{ 0x77d669c5, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9b432e40, "peernet2id_alloc" },
	{ 0x39227c3f, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xc48952bd, "netdev_rx_handler_register" },
	{ 0xa9ef942a, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x14a5d4b7, "genl_unregister_family" },
	{ 0xf6c666d7, "dev_disable_lro" },
	{ 0xc9a04361, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x8b2f0bac, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd82b3c84, "genl_register_family" },
	{ 0x2c1f3ca0, "nf_ct_tmpl_free" },
	{ 0x3ac4e421, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x2c664ebe, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x17a33c32, "skb_mpls_push" },
	{ 0x46c2ce89, "register_pernet_device" },
	{ 0x53558ef4, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf33d1a28, "kmem_cache_destroy" },
	{ 0xe5186f04, "__skb_vlan_pop" },
	{ 0x27874ad4, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77b9714e, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "B5503AE3B56F6287F4CC1D8");
MODULE_INFO(rhelversion, "10.0");
