#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(halt_poll_ns, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow_start, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_shrink, "_gpl", "");
KSYMTAB_FUNC(vcpu_load, "_gpl", "");
KSYMTAB_FUNC(vcpu_put, "_gpl", "");
KSYMTAB_FUNC(kvm_make_all_cpus_request, "_gpl", "");
KSYMTAB_FUNC(kvm_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(kvm_destroy_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm_safe, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm_no_destroy, "_gpl", "");
KSYMTAB_FUNC(__kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_get_dirty_log, "_gpl", "");
KSYMTAB_FUNC(gfn_to_memslot, "_gpl", "");
KSYMTAB_FUNC(kvm_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(__gfn_to_pfn_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_prot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_memslot_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_pfn_atomic, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_pfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_page_many_atomic, "_gpl", "");
KSYMTAB_FUNC(gfn_to_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_map, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_unmap, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_pfn_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_release_pfn_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_set_pfn_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_set_pfn_accessed, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_gfn_to_hva_cache_init, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_clear_guest, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty_in_slot, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_wake_up, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_yield_to, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_on_spin, "_gpl", "");
KSYMTAB_FUNC(kvm_are_all_memslots_empty, "_gpl", "");
KSYMTAB_FUNC(file_is_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_write, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_get_dev, "_gpl", "");
KSYMTAB_FUNC(kvm_get_running_vcpu, "_gpl", "");
KSYMTAB_FUNC(kvm_init, "_gpl", "");
KSYMTAB_FUNC(kvm_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_irq_has_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_crypto_set_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_crypto_clear_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_gisc_register, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_gisc_unregister, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_pv_is_protected, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_pv_cpu_is_protected, "_gpl", "");

SYMBOL_CRC(halt_poll_ns, 0x59e640c0, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow, 0x7afe324e, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow_start, 0x5fb8848b, "_gpl");
SYMBOL_CRC(halt_poll_ns_shrink, 0x39fd83db, "_gpl");
SYMBOL_CRC(vcpu_load, 0x1fe1b6ac, "_gpl");
SYMBOL_CRC(vcpu_put, 0x087de824, "_gpl");
SYMBOL_CRC(kvm_make_all_cpus_request, 0x0a7d451e, "_gpl");
SYMBOL_CRC(kvm_flush_remote_tlbs, 0xf69000ec, "_gpl");
SYMBOL_CRC(kvm_destroy_vcpus, 0x578f994b, "_gpl");
SYMBOL_CRC(kvm_get_kvm, 0xd1547269, "_gpl");
SYMBOL_CRC(kvm_get_kvm_safe, 0x016cb6a4, "_gpl");
SYMBOL_CRC(kvm_put_kvm, 0x3fedf1dd, "_gpl");
SYMBOL_CRC(kvm_put_kvm_no_destroy, 0x370ba9ca, "_gpl");
SYMBOL_CRC(__kvm_set_memory_region, 0x0b46f5bb, "_gpl");
SYMBOL_CRC(kvm_set_memory_region, 0xa727c8f5, "_gpl");
SYMBOL_CRC(kvm_get_dirty_log, 0x7cca52ce, "_gpl");
SYMBOL_CRC(gfn_to_memslot, 0x3f3afdd7, "_gpl");
SYMBOL_CRC(kvm_is_visible_gfn, 0x91a1c4ad, "_gpl");
SYMBOL_CRC(kvm_vcpu_is_visible_gfn, 0x8971b115, "_gpl");
SYMBOL_CRC(gfn_to_hva_memslot, 0xbb7e9690, "_gpl");
SYMBOL_CRC(gfn_to_hva, 0x98f366d1, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_hva, 0x8225d07c, "_gpl");
SYMBOL_CRC(__gfn_to_pfn_memslot, 0xb592d904, "_gpl");
SYMBOL_CRC(gfn_to_pfn_prot, 0x91a3ff21, "_gpl");
SYMBOL_CRC(gfn_to_pfn_memslot, 0x2ed489ec, "_gpl");
SYMBOL_CRC(gfn_to_pfn_memslot_atomic, 0x89bec8b0, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_pfn_atomic, 0x63e4cf5d, "_gpl");
SYMBOL_CRC(gfn_to_pfn, 0xc7be4d64, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_pfn, 0x73a02a78, "_gpl");
SYMBOL_CRC(gfn_to_page_many_atomic, 0x80915961, "_gpl");
SYMBOL_CRC(gfn_to_page, 0x2b6a3085, "_gpl");
SYMBOL_CRC(kvm_vcpu_map, 0x67ef4bcd, "_gpl");
SYMBOL_CRC(kvm_vcpu_unmap, 0x10a49ec5, "_gpl");
SYMBOL_CRC(kvm_release_page_clean, 0xc7bf4b1d, "_gpl");
SYMBOL_CRC(kvm_release_pfn_clean, 0x4e3fd1b4, "_gpl");
SYMBOL_CRC(kvm_release_page_dirty, 0x732217b2, "_gpl");
SYMBOL_CRC(kvm_release_pfn_dirty, 0x7c94c99a, "_gpl");
SYMBOL_CRC(kvm_set_pfn_dirty, 0xa1c4231f, "_gpl");
SYMBOL_CRC(kvm_set_pfn_accessed, 0x6892e3c3, "_gpl");
SYMBOL_CRC(kvm_read_guest_page, 0x4b19b958, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_page, 0x24518958, "_gpl");
SYMBOL_CRC(kvm_read_guest, 0xc04c9240, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest, 0x028bdc09, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_atomic, 0xd0c9d2cf, "_gpl");
SYMBOL_CRC(kvm_write_guest_page, 0x1aad9d7d, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest_page, 0xddfd1b6a, "_gpl");
SYMBOL_CRC(kvm_write_guest, 0x5ce70604, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest, 0x012bdfd3, "_gpl");
SYMBOL_CRC(kvm_gfn_to_hva_cache_init, 0xe5b2230f, "_gpl");
SYMBOL_CRC(kvm_write_guest_offset_cached, 0x161c733e, "_gpl");
SYMBOL_CRC(kvm_write_guest_cached, 0x45882183, "_gpl");
SYMBOL_CRC(kvm_read_guest_offset_cached, 0x786f0657, "_gpl");
SYMBOL_CRC(kvm_read_guest_cached, 0x86d9def2, "_gpl");
SYMBOL_CRC(kvm_clear_guest, 0xf42543c7, "_gpl");
SYMBOL_CRC(mark_page_dirty_in_slot, 0x0486d29f, "_gpl");
SYMBOL_CRC(mark_page_dirty, 0xfcf0d4fe, "_gpl");
SYMBOL_CRC(kvm_vcpu_mark_page_dirty, 0x33a12580, "_gpl");
SYMBOL_CRC(kvm_vcpu_halt, 0xa0995e10, "_gpl");
SYMBOL_CRC(kvm_vcpu_wake_up, 0xfb141e3b, "_gpl");
SYMBOL_CRC(kvm_vcpu_yield_to, 0x9baaf49a, "_gpl");
SYMBOL_CRC(kvm_vcpu_on_spin, 0x2768b8eb, "_gpl");
SYMBOL_CRC(kvm_are_all_memslots_empty, 0x0d298436, "_gpl");
SYMBOL_CRC(file_is_kvm, 0x06913359, "_gpl");
SYMBOL_CRC(kvm_io_bus_write, 0x97c4bc7b, "_gpl");
SYMBOL_CRC(kvm_io_bus_get_dev, 0x625a07a9, "_gpl");
SYMBOL_CRC(kvm_get_running_vcpu, 0x6ccc44db, "_gpl");
SYMBOL_CRC(kvm_init, 0xe6d5fb75, "_gpl");
SYMBOL_CRC(kvm_exit, 0x27046576, "_gpl");
SYMBOL_CRC(kvm_irq_has_notifier, 0x9b12e80f, "_gpl");
SYMBOL_CRC(kvm_arch_crypto_set_masks, 0x786a88f4, "_gpl");
SYMBOL_CRC(kvm_arch_crypto_clear_masks, 0xef988fee, "_gpl");
SYMBOL_CRC(kvm_s390_gisc_register, 0xcc0f53ba, "_gpl");
SYMBOL_CRC(kvm_s390_gisc_unregister, 0xab2ff09b, "_gpl");
SYMBOL_CRC(kvm_s390_pv_is_protected, 0xb3cd8474, "_gpl");
SYMBOL_CRC(kvm_s390_pv_cpu_is_protected, 0xc042040b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfaf67b6f, "pin_user_pages_fast" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xfefbb153, "gmap_make_secure" },
	{ 0xe07eb0ac, "simple_attr_write" },
	{ 0xcc5af9e7, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x92bb8372, "sclp" },
	{ 0x4645219e, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xbf95187a, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa039ac1d, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcc22e847, "bpf_trace_run4" },
	{ 0xe9576db6, "gmap_sync_dirty_log_pmd" },
	{ 0xcc2035a5, "gmap_read_table" },
	{ 0xb4743485, "param_ops_uint" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3d4cb9d1, "airq_iv_create" },
	{ 0x8e1c62a5, "zpci_enable_device" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x9202ff76, "reset_guest_reference_bit" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf948d035, "gmap_put" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x643532a, "trace_raw_output_prep" },
	{ 0x65b7b802, "gmap_shadow_valid" },
	{ 0x8e0090cb, "__gmap_zap" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xdf9b4e98, "cgroup_attach_task_all" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7010186c, "gmap_shadow_pgt" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdb6e446b, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x961b30e7, "get_pid_task" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xb4cfec0, "trace_event_printf" },
	{ 0x79f2f7ed, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x7ad30a82, "smp_yield_cpu" },
	{ 0xccb491e8, "bsearch" },
	{ 0x48d065ba, "fget" },
	{ 0xa9302e63, "__put_task_struct" },
	{ 0x67135b4a, "set_user_nice" },
	{ 0x4c61c5b3, "hrtimer_init" },
	{ 0x6c8f339b, "fd_install" },
	{ 0x9d8dd575, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x9e88eb76, "trace_event_raw_init" },
	{ 0x81844c9d, "vmemdup_user" },
	{ 0x548d17c4, "airq_iv_alloc" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x14351319, "zpci_register_ioat" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xa9ff15b9, "s390_enable_sie" },
	{ 0x875967ef, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x74c52d3e, "param_ops_byte" },
	{ 0xf19696c1, "kmem_cache_create" },
	{ 0xa4c8011b, "__s390_uv_destroy_range" },
	{ 0xe3fd777a, "gmap_shadow_page" },
	{ 0x3b8cfbd4, "zpci_aipb" },
	{ 0xd827fff3, "memremap" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xec63d7ba, "kthread_park" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x4ede2da6, "set_pgste_bits" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc8b1439b, "get_user_pages_remote" },
	{ 0xd97fc4a2, "wake_up_process" },
	{ 0x4d7cddf7, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xba6b73f9, "zpci_aif_sbv" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xe1ee435, "_copy_from_user_key" },
	{ 0x64a22993, "unregister_adapter_interrupt" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xd7be83a8, "anon_inode_getfd" },
	{ 0xd8a99080, "get_user_pages" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x86a34793, "_copy_to_user_key" },
	{ 0x2156ebb7, "pgste_perform_essa" },
	{ 0xc0a5616f, "__free_pages" },
	{ 0x85efc7e0, "zero_pfn" },
	{ 0xe593ed83, "find_vma" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc7cf7c6, "zero_page_mask" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7243a1a8, "__sie64a" },
	{ 0xddbc27dc, "debugfs_lookup" },
	{ 0x251f6411, "mark_page_accessed" },
	{ 0xaa61de11, "irq_stat" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x18148262, "kobject_uevent_env" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xec059e31, "zpci_kvm_hook" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x4a2a989, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x20ea7e76, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x7609e3a6, "vtime_account_kernel" },
	{ 0x1ca0547d, "get_pgste" },
	{ 0xd2510a63, "up_write" },
	{ 0xbacc3f0, "gmap_enable" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x402cbbf, "preempt_notifier_inc" },
	{ 0xc50558c2, "simple_attr_release" },
	{ 0x9d07ba62, "kmem_cache_create_usercopy" },
	{ 0x6cc4ae7e, "get_guest_storage_key" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x22a65fda, "dentry_path_raw" },
	{ 0xece423bf, "gmap_get_enabled" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x282a43eb, "noop_llseek" },
	{ 0xac5643b0, "bpf_trace_run5" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd4ce4bd6, "mem_section" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3a751a79, "gmap_unregister_pte_notifier" },
	{ 0xee61a9b, "airq_iv_free" },
	{ 0x14d5b394, "kmem_cache_free" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xf5d236b7, "fixup_user_fault" },
	{ 0x8f0e30e, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa4576953, "gmap_remove" },
	{ 0x6b3218dc, "preempt_notifier_register" },
	{ 0x1d93d840, "finish_rcuwait" },
	{ 0x243a9cbe, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xfd8dfa7a, "s390_replace_asce" },
	{ 0x400c614f, "gmap_translate" },
	{ 0x3607c5d7, "sthyi_fill" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xf4dd934, "set_guest_storage_key" },
	{ 0x870d0c59, "gmap_create" },
	{ 0x176f22b0, "mmu_notifier_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0x2129e057, "gmap_shadow_r2t" },
	{ 0x7e45800, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x66c168fd, "__vcalloc_noprof" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6b8d2325, "s390_epoch_delta_notifier" },
	{ 0x10e173ae, "bpf_trace_run1" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0x286a3661, "airq_iv_scan" },
	{ 0x95e63ced, "prot_virt_host" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xef23b39b, "alloc_pages_exact_noprof" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xac7ab5fa, "synchronize_srcu_expedited" },
	{ 0x58d7c9a2, "hrtimer_start_range_ns" },
	{ 0x4e7b9281, "gmap_convert_to_secure" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb680ec89, "misc_register" },
	{ 0x3b4910f6, "unpin_user_page" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa99620b2, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfd9a9866, "stfle_fac_list" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x44e0ccaa, "zpci_set_irq_ctrl" },
	{ 0x56dafd13, "follow_pte" },
	{ 0x4248ae3c, "single_task_running" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc468598e, "zpci_disable_device" },
	{ 0xca1699c6, "simple_attr_read" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0x1d216a6b, "mutex_lock_killable" },
	{ 0x103bafd6, "down_read" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x455dbe36, "__mmdrop" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x617e2c24, "s390_disable_cow_sharing" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0xe798236d, "jiffies" },
	{ 0xa0a15b49, "smp_call_function_many" },
	{ 0x2744c29c, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xa6cce4d4, "debug_unregister" },
	{ 0xc0023813, "bpf_trace_run3" },
	{ 0xf865486d, "__mmap_lock_do_trace_start_locking" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc622ea97, "stsi" },
	{ 0x2d4a9895, "gmap_fault" },
	{ 0x3fe305cf, "debugfs_create_file" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0xba4124e, "trace_event_buffer_reserve" },
	{ 0xef3df3ab, "gmap_shadow_sgt" },
	{ 0x5a006a82, "mmput" },
	{ 0x4ba88dcb, "chsc_sgib" },
	{ 0xf74300d7, "arch_vcpu_is_preempted" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc006d2a5, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd2b87474, "get_user_pages_fast_only" },
	{ 0x70e9751b, "__kernel_fpu_begin" },
	{ 0xd01f47b2, "get_user_pages_unlocked" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x5798d18c, "__folio_put" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0xc1580319, "gmap_map_segment" },
	{ 0x56470118, "__warn_printk" },
	{ 0x437b57a0, "__mmap_lock_do_trace_released" },
	{ 0xfc88be73, "gmap_mprotect_notify" },
	{ 0x7770918e, "dput" },
	{ 0xe70e184a, "xa_store" },
	{ 0x9303d6d8, "stfle_size" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x5093edf7, "set_page_dirty_lock" },
	{ 0x32bc0fcf, "preempt_notifier_dec" },
	{ 0x3e554604, "mmu_notifier_register" },
	{ 0x9508904d, "s390_reset_cmma" },
	{ 0x77faef77, "gmap_register_pte_notifier" },
	{ 0xb3ff1f69, "free_pages_exact" },
	{ 0x21a2339c, "alloc_pages_noprof" },
	{ 0xa7172736, "hrtimer_cancel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x30e588cb, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x22a50f5e, "zpci_mod_fc" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x800db3d5, "preempt_notifier_unregister" },
	{ 0xb6f684af, "gmap_discard" },
	{ 0x49b37ae7, "gmap_shadow_pgt_lookup" },
	{ 0x157bc422, "s390_enable_skey" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0xa189c2c2, "uv_info" },
	{ 0x4319ff47, "__kernel_fpu_end" },
	{ 0x709f0f99, "register_adapter_interrupt" },
	{ 0x8a1a058f, "hrtimer_forward" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x1aed295, "hrtimer_active" },
	{ 0x88d42863, "debug_sprintf_view" },
	{ 0xe603c3aa, "gmap_shadow_r3t" },
	{ 0x256b5a82, "get_task_pid" },
	{ 0xb34b536e, "param_ops_int" },
	{ 0x675424a6, "gmap_disable" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xc9d6fa0b, "debugfs_create_dir" },
	{ 0xc6f8989b, "airq_iv_release" },
	{ 0x1841e559, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x29deb0ac, "add_wait_queue_priority" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xd3d3cf4, "gmap_shadow" },
	{ 0xe7761b63, "debug_register_view" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x7805a563, "put_pid" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x1f85bdda, "save_fpu_state" },
	{ 0x5110143a, "gmap_unmap_segment" },
	{ 0x6f0be84d, "cond_set_guest_storage_key" },
	{ 0x92a383c3, "eventfd_ctx_fileget" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0xf33d1a28, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81a25aed, "mtree_load" },
	{ 0x7ba913a0, "vma_kernel_pagesize" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x354ac7b3, "yield_to" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "838B7EFBBBF3A42F96A5E90");
MODULE_INFO(rhelversion, "10.0");
