#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe603b7f9, "drm_gem_fb_destroy" },
	{ 0x330938c1, "drm_atomic_helper_plane_destroy_state" },
	{ 0x182fbfff, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xfd2067a6, "drm_open" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf9f0c1a3, "dma_fence_signal_locked" },
	{ 0xfee49bb, "drm_poll" },
	{ 0x33ac43, "ww_mutex_lock_interruptible" },
	{ 0xd670ad8b, "drm_gem_shmem_vmap" },
	{ 0x4645219e, "vmemmap" },
	{ 0x3d07b834, "drm_dev_enter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc8b977ad, "virtqueue_enable_cb" },
	{ 0x75f5b0f8, "drm_gem_shmem_get_sg_table" },
	{ 0xf7400884, "drm_syncobj_find" },
	{ 0x7f7c247d, "drm_connector_register" },
	{ 0xca2da086, "dma_resv_reserve_fences" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x2dd8b519, "drm_framebuffer_init" },
	{ 0xa8b8095f, "drm_plane_enable_fb_damage_clips" },
	{ 0x39f9a4c, "vmalloc_to_page" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xe4e74766, "drm_syncobj_find_fence" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x698d1c5, "drm_mode_probed_add" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x643532a, "trace_raw_output_prep" },
	{ 0xff33724b, "dma_fence_match_context" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0x32b6aa32, "drm_atomic_helper_disable_plane" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c57f811, "dma_resv_wait_timeout" },
	{ 0xdb6e446b, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xf4641268, "drm_atomic_helper_shutdown" },
	{ 0x32524aa8, "drm_gem_shmem_create" },
	{ 0xb4cfec0, "trace_event_printf" },
	{ 0xb4a75fe4, "drm_gem_lock_reservations" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x14cf008a, "drm_gem_shmem_unpin_locked" },
	{ 0x65812bab, "ww_mutex_unlock" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x6c8f339b, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x9e88eb76, "trace_event_raw_init" },
	{ 0x81844c9d, "vmemdup_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xf1c7731e, "dma_resv_add_fence" },
	{ 0x297151d6, "drmm_kfree" },
	{ 0xf90ba8b1, "drm_gem_dmabuf_mmap" },
	{ 0xeb6e18b, "remap_pfn_range" },
	{ 0xe53f6967, "drm_helper_hpd_irq_event" },
	{ 0x37a0cba, "kfree" },
	{ 0x45a88d4c, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x9c2784a4, "drm_crtc_cleanup" },
	{ 0xf0112da7, "drm_gem_create_mmap_offset" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xba2f9ac, "dma_fence_unwrap_next" },
	{ 0x8bb7fe04, "drm_connector_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x881b793f, "dma_fence_unwrap_first" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0x82973524, "drm_gem_dmabuf_vmap" },
	{ 0x41dc3867, "drm_dev_get" },
	{ 0xf19696c1, "kmem_cache_create" },
	{ 0x43b3013d, "dma_unmap_resource" },
	{ 0xff61a63a, "drmm_mode_config_init" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0xb8df539a, "drm_add_modes_noedid" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x4d7cddf7, "trace_event_buffer_commit" },
	{ 0x384b280d, "drm_mm_print" },
	{ 0x55d1ca0b, "drm_gem_object_lookup" },
	{ 0x41305fe7, "drm_connector_attach_encoder" },
	{ 0xa59e94cf, "drm_edid_connector_update" },
	{ 0x75fc1a3, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x7a13af21, "drm_syncobj_add_point" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4ccbfa0d, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5a3c2e2, "drm_atomic_helper_commit" },
	{ 0x9f7ad0f3, "dma_max_mapping_size" },
	{ 0x2a37a9e2, "drm_atomic_helper_check" },
	{ 0xcdb57378, "unregister_virtio_driver" },
	{ 0x28bbac00, "drm_atomic_helper_connector_destroy_state" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xd90fdf63, "drm_syncobj_replace_fence" },
	{ 0xf2c19fb1, "drm_atomic_helper_plane_duplicate_state" },
	{ 0x1a4ff5df, "drm_gem_mmap" },
	{ 0x7e04ca73, "drm_gem_map_detach" },
	{ 0x50087e0, "drm_gem_shmem_pin_locked" },
	{ 0x421948b2, "drm_gem_prime_import" },
	{ 0xaeafd00a, "drm_ioctl" },
	{ 0x3311532e, "drm_dev_printk" },
	{ 0xcb3a7daf, "drm_gem_dmabuf_vunmap" },
	{ 0x6bb866b6, "drm_atomic_get_crtc_state" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xb95810b4, "drm_gem_shmem_vm_ops" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x4d4f6d5d, "drm_gem_shmem_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x8381449b, "virtqueue_notify" },
	{ 0x3fed2bf4, "drm_atomic_helper_dirtyfb" },
	{ 0x9d2a4b29, "drm_gem_vm_close" },
	{ 0xf1e01443, "drm_gem_vm_open" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd7a35cac, "drm_dev_unplug" },
	{ 0x1532fb60, "drm_connector_init" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4a2a989, "perf_trace_run_bpf_submit" },
	{ 0x37e4c494, "drm_debugfs_create_files" },
	{ 0x20ea7e76, "fput" },
	{ 0x99e21fc2, "__drmm_universal_plane_alloc" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x97a6d0ca, "virtio_dma_buf_export" },
	{ 0xa94d3795, "drm_atomic_helper_damage_merged" },
	{ 0x282a43eb, "noop_llseek" },
	{ 0x983234c8, "drm_read" },
	{ 0x42e254f7, "drm_edid_connector_add_modes" },
	{ 0x92f8d485, "__dma_sync_sg_for_device" },
	{ 0xc945fdcd, "drm_gem_object_release" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x14d5b394, "kmem_cache_free" },
	{ 0xafb77574, "virtqueue_disable_cb" },
	{ 0x243a9cbe, "trace_event_reg" },
	{ 0xc52cd8aa, "virtio_dma_buf_attach" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xace44f9d, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8789394d, "drm_atomic_helper_check_plane_state" },
	{ 0xc6cc781a, "drm_atomic_helper_plane_reset" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf449dc00, "drm_crtc_init_with_planes" },
	{ 0xb25f27d1, "drm_helper_mode_fill_fb_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x66987888, "dma_fence_init" },
	{ 0x4cb9120d, "drm_edid_read_custom" },
	{ 0x513d842a, "drm_gem_map_attach" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xa627b37a, "__drm_dev_dbg" },
	{ 0x43690b35, "virtqueue_add_sgs" },
	{ 0x7bc9736f, "drm_gem_shmem_print_info" },
	{ 0x801ff2b9, "drm_send_event" },
	{ 0x27f9be92, "drmm_kmalloc" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x46e04c63, "drm_dev_put" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x85a619c9, "is_virtio_device" },
	{ 0xf94ff009, "__get_task_comm" },
	{ 0xd82db40a, "drm_connector_attach_edid_property" },
	{ 0x5bbfe115, "drm_atomic_helper_set_config" },
	{ 0xa99620b2, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x77d201de, "virtio_reset_device" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xc8c0b282, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xae9d0cbb, "__register_virtio_driver" },
	{ 0x3606b126, "drm_connector_cleanup" },
	{ 0x4a59f98a, "virtqueue_get_buf" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x278cdf6c, "drm_gem_unmap_dma_buf" },
	{ 0x406c523c, "drm_atomic_helper_crtc_reset" },
	{ 0xc0023813, "bpf_trace_run3" },
	{ 0x76426845, "strncpy_from_user" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xa8aab25e, "drm_simple_encoder_init" },
	{ 0xba4124e, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x610cf576, "drm_kms_helper_hotplug_event" },
	{ 0xe788c8b1, "virtqueue_kick_prepare" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x7e857b2b, "drm_event_reserve_init" },
	{ 0x723057a8, "drm_gem_free_mmap_offset" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cd3727e, "seq_write" },
	{ 0xc50249da, "drm_gem_unlock_reservations" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xce30d5c3, "seq_printf" },
	{ 0x752eeb32, "drm_helper_probe_single_connector_modes" },
	{ 0xa641d584, "drm_gem_shmem_get_pages_sgt" },
	{ 0xa8676398, "__tracepoint_dma_fence_emit" },
	{ 0xaea5f607, "virtio_check_driver_offered_feature" },
	{ 0x820f5fd1, "drm_gem_map_dma_buf" },
	{ 0x2c51ddec, "drm_cvt_mode" },
	{ 0xc732b68d, "dma_map_resource" },
	{ 0xf243e10e, "drm_gem_shmem_mmap" },
	{ 0x7b10ba97, "__traceiter_dma_fence_emit" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd9226b1f, "drm_atomic_helper_page_flip" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xa9dd1c64, "drm_set_preferred_mode" },
	{ 0x1f9b23d8, "drm_gem_fb_create_handle" },
	{ 0xffd16909, "drm_atomic_helper_connector_reset" },
	{ 0x712b565c, "drm_mode_config_reset" },
	{ 0x35c5f1f, "drm_gem_shmem_free" },
	{ 0x3bdde6d3, "dma_resv_test_signaled" },
	{ 0x3da5214, "drm_gem_dmabuf_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x77358855, "iomem_resource" },
	{ 0xb34b536e, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xca57d706, "drm_dev_alloc" },
	{ 0x5b15bbfd, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xaee08d55, "drm_fbdev_shmem_setup" },
	{ 0x186631b5, "drm_atomic_helper_update_plane" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x526975eb, "sync_file_get_fence" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcdc67059, "drm_compat_ioctl" },
	{ 0x2c6c8e85, "drm_dev_register" },
	{ 0x4259162f, "pci_bus_type" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0xa69673b9, "sync_file_create" },
	{ 0x9df89dde, "drm_release" },
	{ 0xf33d1a28, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_shmem_helper,virtio_dma_buf");

MODULE_ALIAS("virtio:d00000010v*");

MODULE_INFO(srcversion, "B4CE8BE53966A43B7A64FDF");
MODULE_INFO(rhelversion, "10.0");
