#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_freq_mode_string, "_gpl", "");
KSYMTAB_FUNC(i2c_match_id, "_gpl", "");
KSYMTAB_FUNC(i2c_get_match_data, "", "");
KSYMTAB_FUNC(i2c_generic_scl_recovery, "_gpl", "");
KSYMTAB_FUNC(i2c_recover_bus, "_gpl", "");
KSYMTAB_DATA(i2c_bus_type, "_gpl", "");
KSYMTAB_DATA(i2c_client_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_client, "", "");
KSYMTAB_FUNC(i2c_new_client_device, "_gpl", "");
KSYMTAB_FUNC(i2c_unregister_device, "_gpl", "");
KSYMTAB_FUNC(i2c_find_device_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(devm_i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(i2c_new_ancillary_device, "_gpl", "");
KSYMTAB_FUNC(i2c_adapter_depth, "_gpl", "");
KSYMTAB_DATA(i2c_adapter_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_adapter, "", "");
KSYMTAB_FUNC(i2c_handle_smbus_host_notify, "_gpl", "");
KSYMTAB_FUNC(i2c_add_adapter, "", "");
KSYMTAB_FUNC(i2c_add_numbered_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_del_adapter, "", "");
KSYMTAB_FUNC(devm_i2c_add_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_find_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_get_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_parse_fw_timings, "_gpl", "");
KSYMTAB_FUNC(i2c_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(i2c_register_driver, "", "");
KSYMTAB_FUNC(i2c_del_driver, "", "");
KSYMTAB_FUNC(i2c_clients_command, "", "");
KSYMTAB_FUNC(__i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer_buffer_flags, "", "");
KSYMTAB_FUNC(i2c_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_client_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_probe_func_quick_read, "_gpl", "");
KSYMTAB_FUNC(i2c_new_scanned_device, "_gpl", "");
KSYMTAB_FUNC(i2c_get_adapter, "", "");
KSYMTAB_FUNC(i2c_put_adapter, "", "");
KSYMTAB_FUNC(i2c_get_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_put_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_smbus_pec, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(__i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data_or_emulated, "", "");
KSYMTAB_FUNC(i2c_new_smbus_alert_device, "_gpl", "");

SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_match_id, 0xb6ed57ff, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0x939208a7, "");
SYMBOL_CRC(i2c_generic_scl_recovery, 0xf52a101f, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0x043a07d7, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0x12cc0e72, "_gpl");
SYMBOL_CRC(i2c_client_type, 0x874e844a, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0x23439624, "");
SYMBOL_CRC(i2c_new_client_device, 0xb86ce28f, "_gpl");
SYMBOL_CRC(i2c_unregister_device, 0x24b60e6b, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0x8bd28c2f, "");
SYMBOL_CRC(i2c_new_dummy_device, 0x37baa927, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0xae434dbd, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0x43f02732, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0xb66b0615, "_gpl");
SYMBOL_CRC(i2c_adapter_type, 0x3a734400, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0x829dd31a, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0xeb8249d1, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0x38118ebb, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0x878fd5e8, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0xc3c85f4b, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0x41ebc2df, "_gpl");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0xdb1d5cee, "");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0x949cea80, "");
SYMBOL_CRC(i2c_parse_fw_timings, 0x8a3765ce, "_gpl");
SYMBOL_CRC(i2c_for_each_dev, 0xe4330ad5, "_gpl");
SYMBOL_CRC(i2c_register_driver, 0x2f230ee7, "");
SYMBOL_CRC(i2c_del_driver, 0x3eed5c65, "");
SYMBOL_CRC(i2c_clients_command, 0xd7b74b1f, "");
SYMBOL_CRC(__i2c_transfer, 0x77207657, "");
SYMBOL_CRC(i2c_transfer, 0x54878683, "");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0xd8fa5ce1, "");
SYMBOL_CRC(i2c_get_device_id, 0x4e613106, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0x1bf33d06, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0x172cf310, "_gpl");
SYMBOL_CRC(i2c_new_scanned_device, 0xab850409, "_gpl");
SYMBOL_CRC(i2c_get_adapter, 0x05966881, "");
SYMBOL_CRC(i2c_put_adapter, 0x17970eb7, "");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_smbus_pec, 0x3491d1ae, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0x450f0e0a, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0xf4c30e49, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0xb2ddcfae, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0x55c12320, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0x903deda5, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0x48569b4b, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0x783c8e20, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0xda64242b, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0x2ab0878b, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0x0cf02c6c, "");
SYMBOL_CRC(i2c_smbus_xfer, 0xdc3aa899, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0x9a7edc25, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0xd9236f08, "");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0x1b79fdae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd31df1c2, "gpiod_get_value_cansleep" },
	{ 0xcde0a899, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3fc203f3, "gpiod_get_direction" },
	{ 0x6e9c693e, "devres_release_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x6abbd3e5, "dev_set_name" },
	{ 0xaca0aef0, "complete" },
	{ 0x643532a, "trace_raw_output_prep" },
	{ 0x9e7180d0, "bpf_trace_run6" },
	{ 0xe752a9b6, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdb6e446b, "__trace_trigger_soft_disabled" },
	{ 0x8acad82d, "irq_domain_remove" },
	{ 0xf13385b4, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xb4cfec0, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xbdd716c9, "dummy_irq_chip" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x9e88eb76, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x73cf6f53, "device_for_each_child" },
	{ 0x78572e49, "bus_for_each_drv" },
	{ 0x343bdf1, "__i2c_board_list" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x2a3d4ed, "get_device" },
	{ 0x777763db, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x39a017a4, "__dynamic_dev_dbg" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x10c42e13, "dev_driver_string" },
	{ 0x4d7cddf7, "trace_event_buffer_commit" },
	{ 0x16630624, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x24c05004, "irq_set_chip_and_handler_name" },
	{ 0xe15c74fb, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe45ccd0, "device_property_read_u32_array" },
	{ 0x932cf81, "handle_simple_irq" },
	{ 0xf16ffa67, "bus_for_each_dev" },
	{ 0x92a33f13, "_dev_info" },
	{ 0xb09ef5af, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4a2a989, "perf_trace_run_bpf_submit" },
	{ 0x80dca429, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x1ef23ca0, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x29bda795, "bus_find_device" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xdbd26b39, "irq_get_irq_data" },
	{ 0xd959a75e, "rt_mutex_unlock" },
	{ 0x92ef81b8, "rt_mutex_trylock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x8f0e30e, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x243a9cbe, "trace_event_reg" },
	{ 0xebad1dd2, "driver_unregister" },
	{ 0xff2e9aec, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x95ee657f, "device_register" },
	{ 0x5a801dd7, "__irq_resolve_mapping" },
	{ 0x360c7de6, "tracepoint_srcu" },
	{ 0x2603a546, "_dev_warn" },
	{ 0xcd197c47, "device_get_match_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x5e83e042, "device_remove_software_node" },
	{ 0x103bafd6, "down_read" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xc0023813, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xba4124e, "trace_event_buffer_reserve" },
	{ 0xb070c977, "irq_domain_instantiate" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2d7d7e9e, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4bd1c455, "irq_create_mapping_affinity" },
	{ 0x227ee806, "__rt_mutex_init" },
	{ 0xc824f9d8, "__i2c_board_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe1acc73d, "device_add_software_node" },
	{ 0x7ed928bd, "__devm_add_action" },
	{ 0x62f4a92f, "bpf_trace_run7" },
	{ 0x349cba85, "strchr" },
	{ 0xc9d6fa0b, "debugfs_create_dir" },
	{ 0x320f874e, "rt_mutex_lock" },
	{ 0x4990593f, "gpiod_direction_output" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xfa3aa5d3, "driver_register" },
	{ 0xa91446ab, "__dev_fwnode" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0x3a1968dc, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1D01DF20366959F851AC440");
MODULE_INFO(rhelversion, "10.0");
