#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x88826000, "");
SYMBOL_CRC(flow_resources_alloc, 0x7c87ce0e, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x0995836a, "");
SYMBOL_CRC(flow_resources_add, 0xb1065b37, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xdf3863ab, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xbaf2484a, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x8539511e, "");
SYMBOL_CRC(uverbs_idr_class, 0x7be2b9a7, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x0e17f27d, "");
SYMBOL_CRC(uverbs_fd_class, 0xc36911cb, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xe9bf4ed3, "");
SYMBOL_CRC(_uverbs_alloc, 0xcf893665, "");
SYMBOL_CRC(uverbs_get_flags64, 0xa607472b, "");
SYMBOL_CRC(uverbs_get_flags32, 0xd87a2c49, "");
SYMBOL_CRC(uverbs_copy_to, 0x2b05b167, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xac402a91, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x90299e00, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xe47db60b, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xde100190, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x82093b78, "");
SYMBOL_CRC(ib_umem_get, 0x4849a50d, "");
SYMBOL_CRC(ib_umem_release, 0x3ffdf9e9, "");
SYMBOL_CRC(ib_umem_copy_from, 0xb9565f0d, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x2f39e9a1, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x38dc80c6, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xe4753469, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x2e1d309c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfaf67b6f, "pin_user_pages_fast" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xcde0a899, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xcc5af9e7, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4645219e, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x8106df0c, "ib_unregister_client" },
	{ 0x8655cc43, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4a6e299c, "unpin_user_pages_dirty_lock" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x6abbd3e5, "dev_set_name" },
	{ 0x4172d4ba, "ibdev_warn" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x590d87e6, "ib_create_qp_user" },
	{ 0x4c57f811, "dma_resv_wait_timeout" },
	{ 0x6ab344e1, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xcf964a07, "kill_fasync" },
	{ 0x79f2f7ed, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x48d065ba, "fget" },
	{ 0x6171bec8, "ib_query_srq" },
	{ 0x65812bab, "ww_mutex_unlock" },
	{ 0xae517bf2, "device_initialize" },
	{ 0x922bf8f2, "ib_rdmacg_try_charge" },
	{ 0x6c8f339b, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xbb3270c6, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x8908852a, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x318804b4, "iput" },
	{ 0x9a267b54, "dma_buf_unpin" },
	{ 0xf201e6ae, "zap_vma_ptes" },
	{ 0x9be68fbe, "ib_dereg_mr_user" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf3effb7b, "rdma_dev_access_netns" },
	{ 0x2a3d4ed, "get_device" },
	{ 0xffdb287c, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xd77d074f, "dma_buf_dynamic_attach" },
	{ 0x9456f995, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x8cf525ff, "radix_tree_iter_delete" },
	{ 0xf056883e, "ib_destroy_srq_user" },
	{ 0x2cc1d4b6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x21668ed, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x7f7a33dd, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe15c74fb, "put_device" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0xae29c5cc, "ib_modify_qp_with_udata" },
	{ 0x85c947bf, "ib_register_event_handler" },
	{ 0xcf97a793, "ib_detach_mcast" },
	{ 0x86cc9fe4, "dma_buf_map_attachment" },
	{ 0xc0a5616f, "__free_pages" },
	{ 0x17b0d4e4, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb09ef5af, "module_put" },
	{ 0xb5fd8ef6, "ib_register_client" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc7cf7c6, "zero_page_mask" },
	{ 0xed792874, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe7413317, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x58165a1b, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x20ea7e76, "fput" },
	{ 0x15827172, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x1ef23ca0, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x592205fb, "dma_buf_unmap_attachment" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x851f219, "radix_tree_next_chunk" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xa1b30173, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xababf5cd, "dma_buf_get" },
	{ 0xc8b9aef4, "ib_query_port" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x9ed8e073, "nla_put" },
	{ 0x5726468d, "ww_mutex_lock" },
	{ 0x7f38da87, "fasync_helper" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8ac38402, "ib_qp_usecnt_inc" },
	{ 0xd95cdc45, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x36c5995f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x7566032d, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xf1d6ff50, "rdma_restrack_set_name" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xeddfc501, "rdma_create_user_ah" },
	{ 0x6e46fe59, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x87e499ec, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x54c6124c, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0x455dbe36, "__mmdrop" },
	{ 0x64bbecd2, "rdma_restrack_del" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xf865486d, "__mmap_lock_do_trace_start_locking" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xc23e804c, "ib_rdmacg_uncharge" },
	{ 0x27e4fb51, "igrab" },
	{ 0xc39b6c94, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5a006a82, "mmput" },
	{ 0x6df49f61, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x437b57a0, "__mmap_lock_do_trace_released" },
	{ 0xa5829ebe, "ib_alloc_xrcd_user" },
	{ 0xe70e184a, "xa_store" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xe0ab2843, "rdma_set_cq_moderation" },
	{ 0x21a2339c, "alloc_pages_noprof" },
	{ 0x9bfa6b12, "ib_dealloc_xrcd_user" },
	{ 0x3e7c77f5, "dma_buf_detach" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf9ccfc9, "stream_open" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xc071d08f, "ib_open_qp" },
	{ 0x1e821bbf, "ib_dealloc_pd_user" },
	{ 0x8d671133, "rdma_get_gid_attr" },
	{ 0x1616e221, "dma_unmap_sg_attrs" },
	{ 0x2be410c6, "rdma_port_get_link_layer" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x5c7a6feb, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x7ab4255, "rdma_query_gid_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x75a8d007, "rdma_restrack_put" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc3e75df, "ib_attach_mcast" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x36ad1db7, "rdma_umap_priv_init" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xf0b6dff0, "ib_destroy_wq_user" },
	{ 0xa3a7ce50, "class_register" },
	{ 0xec108254, "cdev_init" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0xb4613a7d, "sg_pcopy_to_buffer" },
	{ 0x5356d266, "rdma_user_mmap_entry_put" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "3243478905972A759236EB9");
MODULE_INFO(rhelversion, "10.0");
