#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_register_path_selector, "_gpl", "");
KSYMTAB_FUNC(dm_unregister_path_selector, "_gpl", "");

SYMBOL_CRC(dm_register_path_selector, 0x4e953c53, "_gpl");
SYMBOL_CRC(dm_unregister_path_selector, 0xf8ecbc73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98df8c8b, "bio_associate_blkg" },
	{ 0xcde0a899, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4f73b8a0, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaadfdbaf, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe5a84348, "dm_table_run_md_queue_async" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x1654de31, "dm_noflush_suspending" },
	{ 0x23418c7d, "dm_devt_from_path" },
	{ 0x8fe91be8, "dm_per_bio_data" },
	{ 0x5f950258, "dm_put_device" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x37a0cba, "kfree" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4682a8a3, "dm_mq_kick_requeue_list" },
	{ 0xe7ec4b72, "blk_mq_free_request" },
	{ 0x98c76769, "blk_finish_plug" },
	{ 0xb09ef5af, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x1f772033, "bio_endio" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x6c709a8f, "dm_suspended" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x46c73713, "submit_bio_noacct" },
	{ 0x56bcf7b, "dm_read_arg" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9c3fe2db, "blk_mq_alloc_request" },
	{ 0xf261623e, "scsi_dh_attach" },
	{ 0x1b2d9bef, "dm_unregister_target" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc92d2b7c, "scsi_dh_activate" },
	{ 0x36953171, "blk_lld_busy" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x2d0f65c1, "dm_table_event" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x103bafd6, "down_read" },
	{ 0x55b4fadc, "scsi_dh_attached_handler_name" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x39fd42e8, "dm_table_device_name" },
	{ 0xea900b62, "dm_register_target" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ee55d89, "dm_start_time_ns_from_clone" },
	{ 0x640da84c, "dm_table_get_mode" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x354f9aa9, "dm_table_get_md" },
	{ 0xd64b87fe, "dm_path_uevent" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x14c6d25b, "dm_get_device" },
	{ 0x2f5806ed, "dm_table_set_type" },
	{ 0x555ccb97, "up_read" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe55827a3, "scsi_dh_set_params" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "dm-mod");


MODULE_INFO(srcversion, "5C19238D0A58FC4840073CB");
MODULE_INFO(rhelversion, "10.0");
