#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xf4f3418c, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xc3c5de1e, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x93725e85, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x13981a88, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x8b8aaf1d, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xa4265ac6, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x56c4d736, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x4e3cbe25, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x56bd2f3b, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x0318a705, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xea1dae3b, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x5ae6c473, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x610ffe5a, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xbc04eb43, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x1eef411b, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xbd1caece, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x5c6272da, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xca106385, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x5811869a, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x76d743b7, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xc3043fa7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4e48dc88, "mdiobus_write" },
	{ 0xafe8b189, "mdiobus_read" },
	{ 0xe01457ef, "phy_write_mmd" },
	{ 0x6a62f91c, "phy_modify" },
	{ 0x771f5daa, "phy_trigger_machine" },
	{ 0x5fcd4ab, "phy_error" },
	{ 0xfbe05542, "phy_modify_changed" },
	{ 0xab805bf1, "genphy_soft_reset" },
	{ 0x30a15c37, "genphy_update_link" },
	{ 0xe5e2dbc4, "genphy_read_lpa" },
	{ 0x7f505401, "phy_resolve_aneg_pause" },
	{ 0x8466c884, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1ef23ca0, "_dev_err" },
	{ 0x547451c3, "phy_read_mmd" },
	{ 0xadb89603, "ethnl_cable_test_result" },
	{ 0xaf0e7d00, "ethnl_cable_test_fault_length" },
	{ 0xd414ef6b, "phy_modify_mmd" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5AA71377CED61E3D77A7916");
MODULE_INFO(rhelversion, "10.0");
