#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qdio_inspect_input_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_inspect_output_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_get_ssqd_desc, "_gpl", "");
KSYMTAB_FUNC(qdio_shutdown, "_gpl", "");
KSYMTAB_FUNC(qdio_free, "_gpl", "");
KSYMTAB_FUNC(qdio_allocate, "_gpl", "");
KSYMTAB_FUNC(qdio_establish, "_gpl", "");
KSYMTAB_FUNC(qdio_activate, "_gpl", "");
KSYMTAB_FUNC(qdio_add_bufs_to_input_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_add_bufs_to_output_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_start_irq, "", "");
KSYMTAB_FUNC(qdio_stop_irq, "", "");
KSYMTAB_FUNC(qdio_free_buffers, "_gpl", "");
KSYMTAB_FUNC(qdio_alloc_buffers, "_gpl", "");
KSYMTAB_FUNC(qdio_reset_buffers, "_gpl", "");

SYMBOL_CRC(qdio_inspect_input_queue, 0xcfc8663e, "_gpl");
SYMBOL_CRC(qdio_inspect_output_queue, 0x1399cdac, "_gpl");
SYMBOL_CRC(qdio_get_ssqd_desc, 0x9d99a73a, "_gpl");
SYMBOL_CRC(qdio_shutdown, 0x93fcabe4, "_gpl");
SYMBOL_CRC(qdio_free, 0x7c8a958d, "_gpl");
SYMBOL_CRC(qdio_allocate, 0x32adbc43, "_gpl");
SYMBOL_CRC(qdio_establish, 0x0db80280, "_gpl");
SYMBOL_CRC(qdio_activate, 0x405e3fd8, "_gpl");
SYMBOL_CRC(qdio_add_bufs_to_input_queue, 0x889432d1, "_gpl");
SYMBOL_CRC(qdio_add_bufs_to_output_queue, 0xea7abe98, "_gpl");
SYMBOL_CRC(qdio_start_irq, 0x302d6b23, "");
SYMBOL_CRC(qdio_stop_irq, 0xfd7b0405, "");
SYMBOL_CRC(qdio_free_buffers, 0x77abf1a3, "_gpl");
SYMBOL_CRC(qdio_alloc_buffers, 0x1c4445c0, "_gpl");
SYMBOL_CRC(qdio_reset_buffers, 0xd4c12f24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x389a92af, "ccw_device_halt" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x26f58918, "chsc_sadc" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc41a0c51, "chsc_ssqd" },
	{ 0xe64f69d2, "debug_set_level" },
	{ 0x9d8dd575, "debug_register" },
	{ 0xa6e0b68f, "ccw_device_start" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b78a365, "seq_hex_dump" },
	{ 0x2ce51239, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf19696c1, "kmem_cache_create" },
	{ 0x10c42e13, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x64a22993, "unregister_adapter_interrupt" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x6e68bbd4, "ccw_device_get_schid" },
	{ 0x92a33f13, "_dev_info" },
	{ 0xc7d2cf1a, "kstrtoul_from_user" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xaa61de11, "irq_stat" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa16c64f3, "ccw_device_get_ciw" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x14d5b394, "kmem_cache_free" },
	{ 0x8f0e30e, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xfe3cdf1, "ccw_device_clear" },
	{ 0xa99620b2, "kmem_cache_alloc_noprof" },
	{ 0xad3dfa13, "lgr_info_log" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xa5db12e0, "ccw_device_set_options_mask" },
	{ 0x2132176, "debug_hex_ascii_view" },
	{ 0xa6cce4d4, "debug_unregister" },
	{ 0x34f6cf33, "seq_read" },
	{ 0x3fe305cf, "debugfs_create_file" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x1f627fd3, "debug_event_common" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xce30d5c3, "seq_printf" },
	{ 0x8ccdc0fb, "single_release" },
	{ 0x88ae23a, "ccw_device_set_options" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0x709f0f99, "register_adapter_interrupt" },
	{ 0xe7af0e24, "single_open" },
	{ 0xc9d6fa0b, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xe7761b63, "debug_register_view" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0xf33d1a28, "kmem_cache_destroy" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8E8857653F69A61D779843B");
MODULE_INFO(rhelversion, "10.0");
