#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x1f2acd8f, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xda388ac2, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x974acb58, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x3951dc43, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x2bc3a697, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x006f6d04, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xc9b353ed, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xa2286a18, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x2e104d86, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0xe6056485, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xf746ec14, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x4687015b, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x5078d817, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xaf97a660, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xdac9f20e, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x4d5d72b6, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x666319a0, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xf1e1f0ba, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xdd6952dc, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0xcc8feeac, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x68780b00, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x8f2ab5a3, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0xaeb908ee, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xfd09f961, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0xcde0d9c9, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x64134f3a, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0x941490d0, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xa3661acc, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x95528302, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0x7810f373, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a47f82a, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x28bd4614, "vmf_insert_pfn" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6ba6f9e0, "pci_read_vpd" },
	{ 0xbda9abdf, "bus_unregister_notifier" },
	{ 0x3ae3f9d5, "pci_request_selected_regions" },
	{ 0x505ccecd, "pci_release_selected_regions" },
	{ 0x19346c44, "pci_user_write_config_byte" },
	{ 0x52d53f81, "pci_enable_device" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x83ccce38, "pci_bus_max_busnr" },
	{ 0xaa718147, "pci_check_and_mask_intx" },
	{ 0xbf214009, "pci_iomap" },
	{ 0x4232a0c3, "vfio_info_cap_shift" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xb0990ad7, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaf8a4a7f, "vfio_set_irqs_validate_and_prepare" },
	{ 0x9eb28b9a, "pci_enable_atomic_ops_to_root" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x957ab826, "pci_dev_put" },
	{ 0x3c58e430, "iommu_group_get" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbd1f70b0, "vfio_virqfd_disable" },
	{ 0x9aa9d1c5, "vfio_iommufd_get_dev_id" },
	{ 0x48d065ba, "fget" },
	{ 0x8750a209, "pci_num_vf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x31b4dc37, "unmap_mapping_range" },
	{ 0x645134c5, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0x29436cad, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xaadf890, "pci_probe_reset_bus" },
	{ 0x94d67cbe, "pci_probe_reset_slot" },
	{ 0x1ed8d80, "pci_set_power_state" },
	{ 0xe2e63305, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x39a017a4, "__dynamic_dev_dbg" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xb7d1e6d, "pci_read_config_dword" },
	{ 0xedeb29df, "pci_domain_nr" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xcd33665a, "pci_intx" },
	{ 0xf003c73e, "pci_user_write_config_word" },
	{ 0xca1c4711, "vfio_iommufd_device_ictx" },
	{ 0xf14a1662, "bus_register_notifier" },
	{ 0x92a33f13, "_dev_info" },
	{ 0x4b9202a0, "vfio_file_is_group" },
	{ 0x606af6e, "pci_msix_can_alloc_dyn" },
	{ 0x79643437, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2d485324, "pci_clear_master" },
	{ 0x398ca5a, "__pci_reset_function_locked" },
	{ 0xec059e31, "zpci_kvm_hook" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x20ea7e76, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x1c296eb3, "pci_write_vpd" },
	{ 0x632c215b, "vfio_virqfd_enable" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc20b0ff, "pci_read_config_word" },
	{ 0x85abc85f, "strncmp" },
	{ 0x8be40783, "vfio_unregister_group_dev" },
	{ 0x7c154d5, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xdac9977e, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0x8615d499, "pci_iounmap" },
	{ 0x81ac443a, "pci_restore_state" },
	{ 0x2603a546, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xc52d1ef1, "pcie_get_mps" },
	{ 0xdc9fb38c, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x103bafd6, "down_read" },
	{ 0xf3411eb8, "vfio_info_add_capability" },
	{ 0xb318b13e, "pci_dev_driver" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x31bae942, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x1fa4b6c0, "_dev_notice" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xf22e9bf0, "pci_reset_bus" },
	{ 0xf51a135b, "vfio_register_group_dev" },
	{ 0xd3ebe06f, "vfio_assign_device_set" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x3afd2edf, "pci_user_read_config_byte" },
	{ 0x67be5fed, "pci_try_reset_function" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x39bfd4b6, "pci_get_class" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xa132544f, "pci_user_write_config_dword" },
	{ 0x1ea5f1fd, "pcie_capability_read_dword" },
	{ 0x24558842, "pci_load_and_free_saved_state" },
	{ 0x8cfb0c60, "pci_disable_sriov" },
	{ 0xc6984055, "vfio_device_set_open_count" },
	{ 0xa954c94, "pci_disable_device" },
	{ 0xde99406, "pci_match_id" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x9b97fc40, "pci_check_and_unmask_intx" },
	{ 0xc2bca1fa, "pcie_set_readrq" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x51fdf90d, "pci_walk_bus" },
	{ 0x748397d2, "pci_msix_alloc_irq_at" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2a7584c5, "pci_unmap_rom" },
	{ 0x3793ef0b, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0xcd982481, "pci_dev_unlock" },
	{ 0x2121720e, "pci_write_config_word" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xa76cef3c, "pci_free_irq_vectors" },
	{ 0x7bdf9fc7, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf8dde51b, "vfio_virqfd_flush_thread" },
	{ 0x4259162f, "pci_bus_type" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "8CC13BFEE7BA321249AF842");
MODULE_INFO(rhelversion, "10.0");
