#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x9253a3e7, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x6f2ce5e1, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xf8f8d9e2, "_gpl");
SYMBOL_CRC(fat_scan, 0x4279b8a0, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x8cbe23e5, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xad759362, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xaff6d7bf, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x4145cc4e, "_gpl");
SYMBOL_CRC(fat_getattr, 0x774c8030, "_gpl");
SYMBOL_CRC(fat_setattr, 0xd8e0e35f, "_gpl");
SYMBOL_CRC(fat_attach, 0x134065f1, "_gpl");
SYMBOL_CRC(fat_detach, 0x5d5c0000, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xf8ac8d31, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x7e221b8b, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x7c72be1d, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x33bcfa8a, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xd96d5e01, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xd46024ba, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x480b3b7e, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0xd3d46043, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x3236a4ad, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x52f899cd, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xe39f6c64, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xf00db082, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x540de79c, "_gpl");
SYMBOL_CRC(fat_update_time, 0x77cc7f41, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1508c3f9, "filemap_fdatawrite" },
	{ 0x6d927952, "generic_fillattr" },
	{ 0x6ad8554f, "setattr_prepare" },
	{ 0x613531c4, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x3a4423cf, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5bfc816d, "make_vfsgid" },
	{ 0x4f73b8a0, "blk_start_plug" },
	{ 0xb9114c81, "clear_inode" },
	{ 0xfa88b07d, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x2a9d1c0b, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc54afb7d, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x81920cc5, "mark_buffer_dirty" },
	{ 0x57175d09, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1a3aba24, "__find_get_block" },
	{ 0xa406d0bd, "filemap_fdatawrite_range" },
	{ 0x53636c3e, "inode_needs_sync" },
	{ 0xd8d017e6, "__blockdev_direct_IO" },
	{ 0x8c39f805, "d_make_root" },
	{ 0x6149f6cb, "__bforget" },
	{ 0x255adb64, "sb_set_blocksize" },
	{ 0xd12200fd, "block_truncate_page" },
	{ 0x8f1d12d9, "write_dirty_buffer" },
	{ 0x23e21e98, "sync_filesystem" },
	{ 0x59be0e69, "fsnotify" },
	{ 0xbb705905, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x82cf069d, "from_vfsuid" },
	{ 0x44bdf28f, "inode_dio_wait" },
	{ 0xb3fd8a5, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x9920ce6d, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x318804b4, "iput" },
	{ 0x103f9d94, "fs_param_is_enum" },
	{ 0x4cceefd3, "fs_param_is_s32" },
	{ 0xf7a66ee2, "iter_file_splice_write" },
	{ 0x12093106, "fs_param_is_bool" },
	{ 0xcce8fe3b, "generic_file_write_iter" },
	{ 0xf19696c1, "kmem_cache_create" },
	{ 0xc5c23e69, "sync_inode_metadata" },
	{ 0xb2afc63b, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x69a5b00f, "fs_param_is_u32" },
	{ 0x99df4b04, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xb5618673, "block_invalidate_folio" },
	{ 0xce6e9179, "__breadahead" },
	{ 0x4adb7ee7, "generic_write_end" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xa039ef85, "load_nls" },
	{ 0x6757a0b9, "generic_cont_expand_simple" },
	{ 0xd03929b7, "truncate_inode_pages_final" },
	{ 0x44cbab30, "generic_file_mmap" },
	{ 0x2a96e76, "sync_mapping_buffers" },
	{ 0x450a24ce, "ilookup" },
	{ 0x3389cb00, "invalidate_inode_buffers" },
	{ 0x98c76769, "blk_finish_plug" },
	{ 0x5ce5745a, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x747da489, "mnt_drop_write_file" },
	{ 0x1e7f7eaf, "fs_param_is_gid" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf47d722a, "inode_init_once" },
	{ 0xed792874, "compat_ptr_ioctl" },
	{ 0x68c1e2e4, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x4d755e5d, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xf451bef9, "generic_file_read_iter" },
	{ 0x10900a57, "inode_maybe_inc_iversion" },
	{ 0x3cfb8fc1, "truncate_pagecache" },
	{ 0x1eeb27a0, "sync_dirty_buffer" },
	{ 0xed394601, "setattr_copy" },
	{ 0x100a38c9, "__wait_on_buffer" },
	{ 0xc48bc738, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xaef25a6f, "kmem_cache_alloc_lru_noprof" },
	{ 0x14d5b394, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xfe9ca379, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x60df78c7, "from_vfsgid" },
	{ 0x6c8e224c, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xc7dc77b5, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xa506ddba, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x32a6dee8, "block_dirty_folio" },
	{ 0xf08c7492, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xfd43ed22, "__insert_inode_hash" },
	{ 0x1557f07e, "buffer_migrate_folio" },
	{ 0xa99620b2, "kmem_cache_alloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x91641032, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0xab5ecefe, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x48c4486a, "generic_encode_ino32_fh" },
	{ 0xbe0313cf, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x27e4fb51, "igrab" },
	{ 0xacb5d3b5, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xec34ec64, "mpage_readahead" },
	{ 0xf9892ee8, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x13405381, "init_user_ns" },
	{ 0x2cd3727e, "seq_write" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xce30d5c3, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb038bcc6, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xb7463912, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x5aeec844, "generic_fh_to_parent" },
	{ 0x773106dd, "__fs_parse" },
	{ 0xc8621182, "filemap_splice_read" },
	{ 0x6d93441f, "from_kuid_munged" },
	{ 0xe831327b, "__generic_file_fsync" },
	{ 0x68dfe42c, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb9bef847, "__mark_inode_dirty" },
	{ 0x1841e559, "generic_file_llseek" },
	{ 0x800b4122, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x240c86c4, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xaae8c28d, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0xe46fe1bb, "fs_param_is_uid" },
	{ 0xf33d1a28, "kmem_cache_destroy" },
	{ 0x8a41609d, "blkdev_issue_discard" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "709335D3059913BE6DDFB0C");
MODULE_INFO(rhelversion, "10.0");
