#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13776549, "__tracepoint_bl_pr_key_unreg" },
	{ 0x26ee6d1c, "pnfs_register_layoutdriver" },
	{ 0x8e195808, "bdev_file_open_by_path" },
	{ 0xcde0a899, "try_module_get" },
	{ 0xc293f418, "__traceiter_bl_pr_key_unreg_err" },
	{ 0x566a4f06, "pnfs_ld_read_done" },
	{ 0x4645219e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4f73b8a0, "blk_start_plug" },
	{ 0xb9a11390, "pnfs_set_lo_fail" },
	{ 0x8afaa6e7, "nfs4_init_deviceid_node" },
	{ 0xb8a758fa, "nfs_pageio_reset_read_mds" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x39f9a4c, "vmalloc_to_page" },
	{ 0x1b408ab3, "__traceiter_bl_pr_key_reg" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x91b812d0, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xfe95ed5a, "pnfs_generic_pg_init_read" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6440d3e, "pnfs_generic_pg_writepages" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x17122d01, "page_cache_next_miss" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x5b34a5d8, "pnfs_generic_pg_readpages" },
	{ 0x2b91fc2c, "rpc_put_sb_net" },
	{ 0x6ade2502, "register_pernet_subsys" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x5bdb8e62, "rpc_destroy_pipe_data" },
	{ 0xc0a5616f, "__free_pages" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x98c76769, "blk_finish_plug" },
	{ 0x55119124, "submit_bio" },
	{ 0x12a0383a, "rpc_pipe_generic_upcall" },
	{ 0xb09ef5af, "module_put" },
	{ 0xab842ae2, "__traceiter_bl_pr_key_unreg" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x939ad82, "bio_put" },
	{ 0x218074cc, "nfs4_put_deviceid_node" },
	{ 0x20ea7e76, "fput" },
	{ 0xeae28754, "rpc_d_lookup_sb" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x17329e2b, "nfs_pageio_reset_write_mds" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x39d8a50e, "__tracepoint_bl_pr_key_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x22e8ced9, "nfs4_find_get_deviceid" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3e936636, "bio_add_page" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xae9ba4fd, "bdev_file_open_by_dev" },
	{ 0xf5f1f0b2, "unregister_pernet_subsys" },
	{ 0x71c3f52f, "rpc_queue_upcall" },
	{ 0x5f412852, "xdr_init_decode_pages" },
	{ 0xccc27a7d, "pnfs_generic_sync" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x25eddf88, "pnfs_generic_pg_cleanup" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x2f426811, "rpc_get_sb_net" },
	{ 0xece784c2, "rb_first" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1d89abfc, "pnfs_generic_pg_test" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xea40716, "__tracepoint_bl_pr_key_reg_err" },
	{ 0x74f251af, "rpc_mkpipe_dentry" },
	{ 0x321e63fe, "rpc_mkpipe_data" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe4182e2a, "nfs4_mark_deviceid_unavailable" },
	{ 0x5798d18c, "__folio_put" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x3eab9532, "nfs4_delete_deviceid" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7770918e, "dput" },
	{ 0xc8f5bb2d, "pnfs_error_mark_layout_for_return" },
	{ 0x5aa137ab, "pnfs_ld_write_done" },
	{ 0x21a2339c, "alloc_pages_noprof" },
	{ 0xfd2596db, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x83e67155, "file_bdev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xd459378, "nfs_dreq_bytes_left" },
	{ 0x6bec9822, "__tracepoint_bl_pr_key_unreg_err" },
	{ 0x8cc8e079, "bio_alloc_bioset" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0x19fbd51f, "fs_bio_set" },
	{ 0xae789def, "__traceiter_bl_pr_key_reg_err" },
	{ 0x370bd35d, "pnfs_generic_pg_init_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa79aa5f6, "pnfs_unregister_layoutdriver" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "7E7E423371DF6416AF955AF");
MODULE_INFO(rhelversion, "10.0");
