#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x7b649866, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x4ab9c9cd, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xe7ecd625, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x223fb6ca, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x98f3e7c1, "_gpl");
SYMBOL_CRC(br_forward, 0x50509260, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x9e55ed3f, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x26e53bc2, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x2f23f3e6, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x4a027111, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x542e6584, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xc87eb470, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xbc27997f, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xf6c183d3, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x38a81317, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x701dc927, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xcf8b163e, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xdb708e66, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x61e96133, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xa2355488, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xc90b4c42, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x8f5f9903, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x423c825f, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xa7cae5dc, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xd4cacc78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fefbbda, "netdev_lower_get_next" },
	{ 0x792e1822, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x77d4661, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xc3bed58b, "skb_copy_bits" },
	{ 0xdd63fcbc, "__nlmsg_put" },
	{ 0x8dcd75a5, "switchdev_port_attr_set" },
	{ 0x77412bba, "ipv6_mc_check_mld" },
	{ 0x9bc51d5d, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xe6c885df, "call_switchdev_notifiers" },
	{ 0x1e9dbf8a, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x49eac7f1, "netdev_update_features" },
	{ 0x29ea04f5, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x2262b84b, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5c2105a3, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7de35718, "nla_put_64bit" },
	{ 0x646d98e, "__traceiter_br_fdb_update" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x2ce9b9b5, "dev_uc_del" },
	{ 0x4fcd5e98, "netpoll_send_skb" },
	{ 0x56b7f4c6, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x526b995, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x407414ee, "switchdev_port_obj_act_is_deferred" },
	{ 0xceee2969, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x3512cfb6, "dev_set_promiscuity" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x440dcbab, "unregister_netdevice_queue" },
	{ 0xf19696c1, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x701279d, "netdev_state_change" },
	{ 0x4ae7f693, "__pskb_copy_fclone" },
	{ 0xdafd8ff, "__dev_get_by_name" },
	{ 0x29469d7d, "ether_setup" },
	{ 0x5ac667f1, "netdev_err" },
	{ 0x83c9f1d8, "pskb_expand_head" },
	{ 0x6ade2502, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x2034c971, "brioctl_set" },
	{ 0x1113e8c8, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x1f7b4d9a, "arp_xmit" },
	{ 0x32ad055, "__traceiter_br_mdb_full" },
	{ 0xf5292a2, "alloc_netdev_mqs" },
	{ 0x59e8def, "passthru_features_check" },
	{ 0x2c68b392, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf198fe61, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9538c937, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe8ba2b7f, "__alloc_skb" },
	{ 0x4741fb27, "rtnl_set_sk_err" },
	{ 0xc79871b, "skb_vlan_pop" },
	{ 0x489e70ce, "rtnl_unicast" },
	{ 0xbc8fc73b, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0x65d418f9, "ipv6_dev_get_saddr" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x21bbf468, "nla_reserve_64bit" },
	{ 0x70c9333e, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x69c54e93, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x37e92712, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x5ce34085, "dev_get_port_parent_id" },
	{ 0x934f0377, "init_net" },
	{ 0x99efef8d, "ipv6_stub" },
	{ 0xa2e1c3e9, "inet_confirm_addr" },
	{ 0x1b2b4960, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x217a6b90, "sysfs_remove_link" },
	{ 0x35ca915, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x59b85e78, "rtnl_af_unregister" },
	{ 0xd4c9b550, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb958e8d4, "arp_send" },
	{ 0xcdfc1a21, "dev_get_by_index_rcu" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0x55ba52d4, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x33970f1, "skb_push" },
	{ 0x14d5b394, "kmem_cache_free" },
	{ 0xf25429f6, "ndo_dflt_fdb_dump" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6d07c2b, "netdev_upper_dev_unlink" },
	{ 0x736ea494, "netif_receive_skb" },
	{ 0x9ed8e073, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3c9ddf58, "llc_mac_hdr_init" },
	{ 0x6948cbb4, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7c2b8401, "kobject_init_and_add" },
	{ 0x979ff540, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x24ee6110, "ns_capable" },
	{ 0xdac26a6b, "inet_select_addr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xa38a7a1b, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd55c446a, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcda22cd0, "arp_create" },
	{ 0x8837a5c7, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xda07afdd, "stp_proto_register" },
	{ 0x46a328cf, "rtnl_register_module" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0x12f31385, "sysfs_rename_link_ns" },
	{ 0xf5f1f0b2, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa99620b2, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x23e70796, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5447a581, "__pskb_pull_tail" },
	{ 0x735695e0, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x1da61b5e, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xff76944b, "ip_mc_check_igmp" },
	{ 0xe34f5006, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x61107091, "switchdev_port_obj_del" },
	{ 0xf747f471, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xde20d3fb, "kobject_create_and_add" },
	{ 0xc899df1f, "skb_trim" },
	{ 0xd9598519, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe679dedc, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xf0a454dc, "__ip_mc_inc_group" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xfe40c81f, "netdev_walk_all_upper_dev_rcu" },
	{ 0xef7c78c0, "sysfs_remove_group" },
	{ 0x50356356, "__traceiter_br_fdb_external_learn_add" },
	{ 0x9fb86b5f, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd5adc89b, "__netpoll_setup" },
	{ 0xff4f3cd5, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6f807195, "vlan_vid_add" },
	{ 0x181520f3, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x275faacd, "kobject_del" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc8a6ef, "call_netdevice_notifiers" },
	{ 0xfa877fea, "is_skb_forwardable" },
	{ 0x733a55b3, "vlan_vid_del" },
	{ 0x3dc5a1aa, "dev_set_allmulti" },
	{ 0x55596a69, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xf552a395, "netdev_master_upper_dev_get" },
	{ 0xed70bb5b, "ipv6_dev_mc_inc" },
	{ 0x461d3c25, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6620da64, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb4eec73e, "__vlan_find_dev_deep_rcu" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfb046587, "skb_clone" },
	{ 0x6c47eeff, "metadata_dst_alloc" },
	{ 0x77d669c5, "dst_release" },
	{ 0x6ad6132c, "netif_carrier_on" },
	{ 0x7ee2fc90, "kobject_uevent" },
	{ 0x56ff2508, "arp_tbl" },
	{ 0x314d89ef, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xc48952bd, "netdev_rx_handler_register" },
	{ 0x372b63b1, "dev_uc_add" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd01a3825, "netif_set_tso_max_size" },
	{ 0xf6c666d7, "dev_disable_lro" },
	{ 0x28818f22, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6789b323, "dev_get_flags" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x8b2f0bac, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe265871c, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x94deb326, "nf_queue" },
	{ 0xbe94fe19, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xe4c1ec9a, "skb_ext_add" },
	{ 0x626d7177, "sysfs_remove_bin_file" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x4da506dc, "stp_proto_unregister" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0x67d3e4e2, "neigh_lookup" },
	{ 0xf33d1a28, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x471421b5, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x77b9714e, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "2E21972C09EA9126BAD5419");
MODULE_INFO(rhelversion, "10.0");
