#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0x9f803fcc, "_gpl");
SYMBOL_CRC(smc_proto6, 0x67b97436, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0xd24addfc, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xcd92aef5, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xfb8cae0f, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0xf47b4ee2, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xfca74a0e, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xb3f2d173, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x76da5303, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x2d150371, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x3153cc92, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xa053541c, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0xbb210f08, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xe7dacb8d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fefbbda, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x700f6a82, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4645219e, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x432ba914, "ism_register_client" },
	{ 0x8106df0c, "ib_unregister_client" },
	{ 0x2c3b07b9, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdd63fcbc, "__nlmsg_put" },
	{ 0x29ce835a, "inet_unregister_protosw" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0x8fbd8adf, "pnet_id_by_dev_port" },
	{ 0xdd21a464, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x39f9a4c, "vmalloc_to_page" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x643532a, "trace_raw_output_prep" },
	{ 0x10a0ca4d, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7de35718, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xcdcf2c88, "__ib_alloc_pd" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x4d675d24, "inet6_unregister_protosw" },
	{ 0xdb6e446b, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf8397e74, "dma_unmap_page_attrs" },
	{ 0xb4cfec0, "trace_event_printf" },
	{ 0x26017d6e, "__dma_need_sync" },
	{ 0x1d3fd0fe, "kernel_bind" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf347d1a2, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x9e88eb76, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1f5c3dd, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x9be68fbe, "ib_dereg_mr_user" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x875967ef, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xc9832908, "kernel_accept" },
	{ 0xf3effb7b, "rdma_dev_access_netns" },
	{ 0x5d9cb591, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x52d42558, "ip_route_output_flow" },
	{ 0x2a3d4ed, "get_device" },
	{ 0x6c6bc7d, "sk_stream_error" },
	{ 0xffdb287c, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4e1f40f8, "sock_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xc63be2f2, "sk_error_report" },
	{ 0x6ade2502, "register_pernet_subsys" },
	{ 0x10c42e13, "dev_driver_string" },
	{ 0x4d7cddf7, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xeaf51062, "register_net_sysctl_sz" },
	{ 0xb952107a, "tcp_abort" },
	{ 0x2cc1d4b6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xf3e5c011, "dma_map_page_attrs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x8622544b, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0xe9b9fc4, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x966148ea, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe15c74fb, "put_device" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x85c947bf, "ib_register_event_handler" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe8ba2b7f, "__alloc_skb" },
	{ 0xc0a5616f, "__free_pages" },
	{ 0x17b0d4e4, "ib_unregister_event_handler" },
	{ 0x464181f9, "proto_register" },
	{ 0xc10ebaf3, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xb5fd8ef6, "ib_register_client" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9465c6a3, "ib_map_mr_sg" },
	{ 0x7d3948d9, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68a1b759, "generic_pipe_buf_get" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4a2a989, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x15827172, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x7a2779af, "__traceiter_sk_data_ready" },
	{ 0x934f0377, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0xd4c9b550, "sk_skb_reason_drop" },
	{ 0x8f2f603f, "netlink_unicast" },
	{ 0xa1b30173, "rdma_put_gid_attr" },
	{ 0x47944b26, "ism_get_smcd_ops" },
	{ 0x1377a341, "kernel_getsockname" },
	{ 0xcd3fdebc, "sk_free" },
	{ 0x3ac27b79, "sock_wake_async" },
	{ 0x7024991f, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc8b9aef4, "ib_query_port" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9ed8e073, "nla_put" },
	{ 0x243a9cbe, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x813e338d, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x50b4c853, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xa5d862d1, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x700f0702, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0x711bdc12, "sk_alloc" },
	{ 0x7566032d, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf5f1f0b2, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xd2c34f91, "kernel_connect" },
	{ 0x12d2e4c8, "sock_no_socketpair" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x38c67140, "sk_wait_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xbb2641f2, "proc_douintvec" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xd755272c, "ib_alloc_mr" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x8019eea1, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x54c6124c, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0xc899df1f, "skb_trim" },
	{ 0x76532b40, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x51ccd3a2, "tcp_register_ulp" },
	{ 0xd5f3c734, "sk_common_release" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf1fd997c, "kernel_listen" },
	{ 0xc39b6c94, "ib_dma_virt_map_sg" },
	{ 0x181520f3, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xba4124e, "trace_event_buffer_reserve" },
	{ 0xb60637d8, "ism_unregister_client" },
	{ 0xa6648f74, "inet6_register_protosw" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x2659affa, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc7a390eb, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5798d18c, "__folio_put" },
	{ 0x88bd2b07, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8dea3ce0, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x19137e5, "dev_get_by_name" },
	{ 0x77d669c5, "dst_release" },
	{ 0x523c78a0, "sk_stream_wait_connect" },
	{ 0x44b7db75, "_copy_from_iter" },
	{ 0x6180be78, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x21a2339c, "alloc_pages_noprof" },
	{ 0x819e7388, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xe9e5affb, "netdev_walk_all_lower_dev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd0e55d6f, "vlan_dev_vlan_id" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0x1e821bbf, "ib_dealloc_pd_user" },
	{ 0x8d671133, "rdma_get_gid_attr" },
	{ 0x1616e221, "dma_unmap_sg_attrs" },
	{ 0x14a5d4b7, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x438fd493, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd82b3c84, "genl_register_family" },
	{ 0xbf01bfd8, "kernel_sendmsg" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x80113c51, "sock_init_data" },
	{ 0xdb7ea865, "kmalloc_caches" },
	{ 0xf2698531, "release_sock" },
	{ 0x741619dc, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x46a726e2, "module_layout" },
};

MODULE_INFO(depends, "ism,ib_core,pnet");


MODULE_INFO(srcversion, "D8BB617EA0332E5E0C0D338");
MODULE_INFO(rhelversion, "10.0");
